
.navbar {
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    z-index: 1000;
    width: 100%;
}

body {
    margin: 0;
    margin-top: -90px;
    padding: 0
}

main h1 {
    position: fixed;
    margin-bottom: 280px;
}

main h2 {
    color: var(--text);
    position: fixed;
    margin-bottom: 150px;
}

.project-container {
    z-index: 100;
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 20px;
    padding: 60px;
    margin-top: 900px;
    padding-top: 325px;
    padding-bottom: 0px;
}

.project-card {
    background-color: #c8bdb4;
    border: 5px solid #b0a399;
    border-radius: 10px;
    overflow: hidden;
    transition: transform 0.3s;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
    padding: 10px;
    width: 370px;
}

.project-card:hover {
    transform: scale(1.05);
}


.project-card .card-content {
    padding: 15px;
    padding-top: 5px;
    display: flex;
    flex-direction: column;
    height: 100%;
}



.project-card h3 {
    font-size: 37px;
    font-family: "Racing Sans One", sans-serif;
    font-weight: 100;
    margin-bottom: 10px;
    color: #17275e;
    text-align: left;
}

    .project-card p {
        font-size: 1rem;
        line-height: 1.6;
        color: #555;
        text-align: left;
        margin-bottom: 20px;
        margin-top: 20px;
    }

        .project-card p.tech-stack {
            font-weight: bold;
            margin-top: 10px;
            margin-bottom: 25px;
        }



.card-buttons {
    display: flex;
    gap: 15px;
    justify-content: flex-start;
}

    .card-buttons a {
        flex: 1;
        display: flex;
        justify-content: center;
        align-items: center;
        height: 50px;
        background-color: #f77aaa;
        border-radius: 10px;
        color: white;
        text-decoration: inherit;
        transition: 0.3s;
    }

        .card-buttons a img {
            width: 30px;
            height: auto;
        }

        .card-buttons a:hover {
            background-color: #fd5294;
        }


body h5 {
    color: #0d1224;
    margin-top: 100px;
}



@media (max-width: 768px) {
    .project-container {
        grid-template-columns: 1fr;
        padding: 20px;
        gap: 15px;
        padding-top: 20px;
        margin-top: 2900px;
    }

    .project-card {
        width: 87vw;
        max-width: 100%;
    }

    .project-card h3 {
        font-size: 1.9rem;
    }

    .project-card p {
        font-size: 0.9rem;
    }

    main h1 {
        font-size: 45px;
        margin-bottom: 330px;
        position: fixed;
    }

    main h2 {
        margin-top: 0px;
        margin-bottom: 200px;
    }

    body {
        margin-top: 0;
    }

    .navbar {
        position: static;
    }
}
